Subject: [V4 3/4] power_supply: Enable battery-charger for 88pm860x

From: [email-masked] (Anton Vorontsov)
Date: Fri, 21 Sep 2012 15:39:15 -0700

On Sat, Sep 22, 2012 at 12:14:22AM +0200, Samuel Ortiz wrote:
> > > >> Thanks for helping me to amend these patch.  I got many good
> > > >> suggestions and learn a lot in this process:) BTW, you mean you will
> > > >> help to amend that several minor warning with battery tree?
> > > >
> > > > Yup, I have these small fixups locally in my tree already, so if/once
> > > > Samuel gives me an Ack for the mfd part, I'll merge it into battery git
> > > > tree.
> > > 
> > > Any updates?
> > 
> > OK, I guess I can just go ahead and apply it, the MFD changes are very
> > trivial anyway. So, this is now applied (along with some fixups that
> > I was talking about in my previous reply).
> Applying this patch as is will not build as the mfd_add_devices() API has
> changed. Either you rebase your patchset on top of Linus tree or I take this
> patch and fix the mfd_add_devices() call. Please let me know how you want to
> proceed.

It's not the first time this happens, and git let us fix it in a pretty
elegant way: what I'm usually doing is just pulling Linus' tree back into
my tree (but not rebasing), and in the merge commit I fixup the issue.
That way things are still bisectable, and everything should work before
and after mfd_add_devices() change.

So, it's all OK, I'll just merge Linus' -rc6 back into my tree
(and Stephen already has a fix in linux-next).

Thanks!
Anton.